import socket

# Crea un socket UDP
server_socket = socket.socket(socket.AF_INET, socket.SOCK_DGRAM)

# Vincula el socket a una dirección y puerto específicos
server_socket.bind(('localhost', 12345))

print("El servidor UDP está escuchando en el puerto 12345")

while True:
    data, client_address = server_socket.recvfrom(1024)
    print(f"Recibido dato de {client_address}: {data.decode()}")

    respuesta = "¡Hola, cliente!"
    server_socket.sendto(respuesta.encode(), client_address)