import socket
import sys

# Config
SERVER_HOST = sys.argv[1]  # La direccion IP del servidor
SERVER_PORT = int(sys.argv[2])  # El puerto en el que el servidor esta escuchando

# Crear un socket TCP/IP
client_socket = socket.socket(socket.AF_INET, socket.SOCK_STREAM)

# Conectar al servidor
client_socket.connect((SERVER_HOST, SERVER_PORT))

ganador = False
for i in range(5):
    msg = input("Intento {}. Introduzca una palabra de 5 letras: ".format(i+1))
    while len(msg) != 5:
        msg = input("Palabra invalida. Introduce una palabra de 5 letras: ")

    client_socket.send(msg.encode())
    data = client_socket.recv(1024)
    if data.decode() == "XXXXX":
        print("Respuesta correcta! Enhorabuena")
        client_socket.send('0'.encode())
        ganador = True
        break
    else:
        print("Respuesta:", data.decode())

if not ganador:
    data = client_socket.recv(1024)
    print("Casi... la palabra era", data.decode())
# Cerrar el socket
client_socket.close()
