# Funcion para agregar un trabajador
def agregar_trabajador(nombre, nomina):
    trabajador = {"nombre": nombre, "nomina": nomina}
    lista_trabajadores.append(trabajador)
    # Devuelve numero de trabajadores en la lista
    return len(lista_trabajadores)


# Funcion para visualizar trabajadores que cobren mas de 3000
def visualizar_ejecutivos():
    for trabajador in lista_trabajadores:
        if trabajador["nomina"] > 3000:
            print("Trabajador {}: {}".format(lista_trabajadores.index(trabajador), trabajador["nombre"]))

    # Otra opcion
    # index = 0
    # for trabajador in lista_trabajadores:
    #     if trabajador["nomina"] > 3000:
    #         print("Trabajador {}: {}".format(index, trabajador["nombre"]))
    #     index+=1


    # Otra opcion mas
    # for index, trabajador in enumerate(lista_trabajadores):
    #     if trabajador["nomina"] > 3000:
    #         print("Trabajador {}: {}".format(index, trabajador["nombre"]))


# main

# Lista para almacenar los trabajadores
lista_trabajadores = []

# Añadir los cuatro trabajadores predefinidos
agregar_trabajador("Alejandra Martinez", 3250)
agregar_trabajador("Victor Perez", 1680)
agregar_trabajador("William Adams", 2400)
num_trabajadores = agregar_trabajador("Lucy Brown", 4750)

# Imprimimos el numero total en la lista
print("Hay {} trabajadores en la lista".format(num_trabajadores))

# Visualizamos los que cobran mas de 3000€
visualizar_ejecutivos()
