import socket
import sys

# Recibir ip y puerto por terminal (argumentos por línea de comandos)
ip = sys.argv[1]
puerto = int(sys.argv[2])

# Crea un socket TCP
client_socket = socket.socket(socket.AF_INET, socket.SOCK_STREAM)

# Conectar con servidor
client_socket.connect((ip, puerto))

if client_socket:
    # Enviar mensaje
    mensaje = "¡Hola, servidor!"
    client_socket.sendall(mensaje.encode())

    # Recibir y mostrar respuesta
    data = client_socket.recv(1024)
    print(f"Recibido dato del servidor: {data.decode()}")

# Cerrar el socket
client_socket.close()

